Bug 750961 - Review Request: cherrytree - Hierarchical note taking application
Review Request: cherrytree - Hierarchical note taking application
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
: 666954 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-02 22:26 EDT by Robin Lee
Modified: 2011-11-24 21:08 EST (History)
4 users (show)

See Also:
Fixed In Version: cherrytree-0.23.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-24 21:08:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwickert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2011-11-02 22:26:08 EDT
Spec URL: http://cheeselee.fedorapeople.org/cherrytree.spec
SRPM URL: http://cheeselee.fedorapeople.org/cherrytree-0.23.1-1.fc16.src.rpm
Description: Cherrytree is a hierarchical note taking application, featuring
rich text and syntax highlighting, storing all the data (including images) in a
single XML file with extension “.ctd”.

There is a closed review request on this package:
https://bugzilla.redhat.com/show_bug.cgi?id=666954
Comment 1 Robin Lee 2011-11-02 22:27:44 EDT
*** Bug 666954 has been marked as a duplicate of this bug. ***
Comment 2 Christoph Wickert 2011-11-03 19:25:28 EDT
REVIEW FOR d601bef7491f6c899a50aade3326bf06  cherrytree-0.23.1-1.fc16.src.rpm

MUST items

OK - MUST: rpmlint output:
$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/cherrytree-0.23.1-1.fc17.*
cherrytree.noarch: W: spelling-error %description -l en_US ctd -> ct, std, cad
cherrytree.src: W: spelling-error %description -l en_US ctd -> ct, std, cad
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
OK - MUST: package is named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package in the format %{name}.spec
OK - MUST: package meets the Packaging Guidelines
OK - MUST: package is licensed with a Fedora approved license and meets the Licensing Guidelines
OK - MUST: License field in the package spec file matches the actual license (GPLv2+)
OK - MUST: source package includes the text of the license in its own file and that file is included in %doc
OK - MUST: spec file is written in American English
OK - MUST: spec file for the package is legible
OK - MUST: sources match the upstream source, as provided in the spec URL by md5 2804507e3e52b18378d6aff2db951c06
OK - MUST: package successfully compiles and builds into binary rpms on at least one primary architecture (noarch)
OK - MUST: all build dependencies are listed in BuildRequires
OK - MUST: spec file handles locales properly using %find_lang
N/A - MUST: package (or subpackage) stores shared library files in the dynamic linker's default paths and call ldconfig in %post and %postun
N/A - MUST: package does not bundle copies of system libraries
OK - MUST: package is not designed to be relocatable
OK - MUST: package owns all directories that it creates
OK - MUST: package does not list a file more than once in the spec file's %files listings
OK - MUST: permissions on files are set properly
OK - MUST: package consistently use macros
OK - MUST: package contains code, or permissable content
N/A - MUST: large documentation files must go in a -doc subpackage
OK - MUST: files included as %doc do not affect the runtime of the application
N/A - MUST: header files are in -devel package
N/A - MUST: static libraries are in -static package
N/A - MUST: library files with a suffix are in -devel package
N/A - MUST: -devel package requires the base package using a fully versioned dependency
OK - MUST: package does not contain any .la libtool archives
OK - MUST: package contains a GUI applications and includes a %{name}.desktop file that is properly installed with desktop-file-install %install
OK - MUST: package does not own files or directories already owned by other packages
OK - MUST: all filenames in the package are valid UTF-8


SHOULD items

N/A - SHOULD: source package does not include license text(s) as a separate file from upstream, query upstream to include it
N/A - SHOULD: description and summary sections should contain translations for supported Non-English languages, if available
OK - SHOULD: package builds in mock
OK - SHOULD: package compiles and builds into binary rpms on all supported architectures, see http://koji.fedoraproject.org/koji/taskinfo?taskID=3482331
OK - SHOULD: package functions as described
OK - SHOULD: scriptlets are sane
N/A - SHOULD: subpackages other than devel require the base package using a fully versioned dependency
N/A - SHOULD: pkgconfig(.pc) files are in -devel package
N/A - SHOULD: package has no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin
OK - SHOULD: package contains man pages for binaries/scripts


OTHER items

OK - latest stable version packaged
OK - source URL valid
N/A - compiler flags ok
N/A - debuginfo complete
N/A - package has a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). I'd add one for compatibility with older versions of RPM.
N/A - package contains a pkgconfig(.pc) files and has 'Requires: pkgconfig'.

APPROVED
Comment 3 Robin Lee 2011-11-03 21:14:44 EDT
New Package SCM Request
=======================
Package Name: cherrytree
Short Description: Hierarchical note taking application
Owners: cheeselee
Branches: f15 f16
Comment 4 Jon Ciesla 2011-11-03 21:26:48 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2011-11-03 22:57:12 EDT
cherrytree-0.23.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherrytree-0.23.1-1.fc15
Comment 6 Fedora Update System 2011-11-05 19:57:37 EDT
cherrytree-0.23.1-1.fc15 has been pushed to the Fedora 15 testing repository.
Comment 7 Fedora Update System 2011-11-24 21:08:26 EST
cherrytree-0.23.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.